PROC IMPORT OUT= WORK.kudata_all 
            DATAFILE= "C:\Users\Jonathan\Desktop\Mplus IRT Examples\04a Equating\kudata_all.xls" 
            DBMS=EXCEL REPLACE;
     RANGE="Sheet1$"; 
     GETNAMES=YES;
     MIXED=NO;
     SCANTEXT=YES;
     USEDATE=YES;
     SCANTIME=YES;
RUN;

PROC FREQ DATA=kudata_all;
TABLE SOGS7-SOGS15;
RUN;

*KU DATA RECODE:;
DATA kudata_all2;
SET kudata_all;
	IF SOGS7=1 THEN SOGS7=1;
	IF SOGS7=2 THEN SOGS7=0;

	IF SOGS8=1 THEN SOGS8=1;
	IF SOGS8=2 THEN SOGS8=0;

	IF SOGS9=1 THEN SOGS9=1;
	IF SOGS9=2 THEN SOGS9=0;

	IF SOGS10=1 THEN SOGS10=1;
	IF SOGS10=2 THEN SOGS10=0;

	IF SOGS11=1 THEN SOGS11=1;
	IF SOGS11=2 THEN SOGS11=0;

	IF SOGS12=1 THEN SOGS12=1;
	IF SOGS12=2 THEN SOGS12=0;

	IF SOGS13=1 THEN SOGS13=1;
	IF SOGS13=2 THEN SOGS13=0;

	IF SOGS14=1 THEN SOGS14=1;
	IF SOGS14=2 THEN SOGS14=0;

	IF SOGS15=1 THEN SOGS15=1;
	IF SOGS15=2 THEN SOGS15=0;

RUN;

PROC IMPORT OUT= WORK.boatdata_all 
            DATAFILE= "C:\Users\Jonathan\Desktop\Mplus IRT Examples\04a Equating\boatdata_all.xls" 
            DBMS=EXCEL REPLACE;
     RANGE="Sheet1$"; 
     GETNAMES=YES;
     MIXED=NO;
     SCANTEXT=YES;
     USEDATE=YES;
     SCANTIME=YES;
RUN;

*Combine All;
DATA alldata_all;
	SET kudata_all2 boatdata_all;
	ID=_N_;
RUN;

PROC EXPORT DATA= WORK.ALLDATA_ALL 
            OUTFILE= "C:\Users\Jonathan\Desktop\Mplus IRT Examples\04a Equating\alldata_all.csv" 
            DBMS=CSV REPLACE;
     		PUTNAMES=NO;
RUN;

DATA equatedata_all;
SET alldata_all;
randvar=UNIFORM(0); *for random picking of which variables to make missing for design;
RUN;

PROC SORT DATA=equatedata_all;
BY randvar;
RUN;

DATA equatedata_all2;
SET equatedata_all;
ID2=_N_;
IF ID2 <446 THEN DO; *GRI Only Group;
	GRI1=99;
	GRI2=99;
	GRI3=99;
	GRI4=99;
	GRI5=99;
	GRI6=99;
	GRI7=99;
	GRI8=99;
	GRI9=99;
	GRI10=99;
	GRI11=99;
	GRI12=99;
	GRI13=99;
	GRI14=99;
	GRI15=99;
	GRI16=99;
	GRI17=99;
	GRI18=99;
	GRI19=99;
	GRI20=99;
	GRI21=99;
	GRI22=99;
	GRI23=99;
	GRI24=99;
	GRI25=99;
	GRI26=99;
	GRI27=99;
	GRI28=99;
	GRI29=99;
	GRI30=99;
	GRI31=99;
	GRI32=99;
	GRI33=99;
	GRI34=99;
	GRI35=99;
	GRI36=99;
	GRI37=99;
	GRI38=99;
	GRI39=99;
	GRI40=99;
	GRI41=99;
END;
IF ID2 > 892 AND ID <1337 THEN DO;
	SOGS4=99;
	SOGS5=99;
	SOGS6=99;
	SOGS7=99;
	SOGS8=99;
	SOGS9=99;
	SOGS10=99;
	SOGS11=99;
	SOGS12=99;
	SOGS13=99;
	SOGS14=99;
	SOGS15=99;
END;
DROP randvar ID2;
RUN;
PROC SORT DATA=equatedata_all2;
BY ID;
RUN;
PROC EXPORT DATA= WORK.equatedata_all2 
            OUTFILE= "C:\Users\Jonathan\Desktop\Mplus IRT Examples\04a Equating\equatedata_all.csv" 
            DBMS=CSV REPLACE;
     		PUTNAMES=NO;
RUN;

PROC SORT DATA=equatedata_all;
BY randvar;
RUN;

DATA equatedata_all3;
SET equatedata_all;
ID2=_N_; SET=2;
IF ID2 <446 THEN DO; *GRI Only Group;
	SET=1;
	GRI1=99;
	GRI2=99;
	GRI3=99;
	GRI4=99;
	GRI5=99;
	GRI6=99;
	GRI7=99;
	GRI8=99;
	GRI9=99;
	GRI10=99;
	GRI11=99;
	GRI12=99;
	GRI13=99;
	GRI14=99;
	GRI15=99;
	GRI16=99;
	GRI17=99;
	GRI18=99;
	GRI19=99;
	GRI20=99;
	GRI21=99;
	GRI22=99;
	GRI23=99;
	GRI24=99;
	GRI25=99;
	GRI26=99;
	GRI27=99;
	GRI28=99;
	GRI29=99;
	GRI30=99;
	GRI31=99;
	GRI32=99;
	GRI33=99;
	GRI34=99;
	GRI35=99;
	GRI36=99;
	GRI37=99;
	GRI38=99;
	GRI39=99;
	GRI40=99;
	GRI41=99;
END;
IF ID2 > 892 AND ID <1337 THEN DO;
	SET=3;
	SOGS4=99;
	SOGS5=99;
	SOGS6=99;
	SOGS7=99;
	SOGS8=99;
	SOGS9=99;
	SOGS10=99;
	SOGS11=99;
	SOGS12=99;
	SOGS13=99;
	SOGS14=99;
	SOGS15=99;
END;
keep ID ID2 SET;
RUN;

PROC SORT DATA=equatedata_all3;
BY ID;
RUN;
PROC EXPORT DATA= WORK.equatedata_all3 
            OUTFILE= "C:\Users\Jonathan\Desktop\Mplus IRT Examples\04a Equating\equatedata_sets.csv" 
            DBMS=CSV REPLACE;
     		PUTNAMES=NO;
RUN;
